

const require_rolldown_runtime = require('../../_virtual/rolldown_runtime.js');
const require_AgentContext = require('../../agent/context/AgentContext.js');
require('../../plugins/index.js');
const require_decorateMetadata = require('../../_virtual/_@oxc-project_runtime@0.97.0/helpers/decorateMetadata.js');
const require_decorate = require('../../_virtual/_@oxc-project_runtime@0.97.0/helpers/decorate.js');
require('../../agent/index.js');
const require_X509ModuleConfig = require('./X509ModuleConfig.js');
const require_X509Service = require('./X509Service.js');
let tsyringe = require("tsyringe");

//#region src/modules/x509/X509Api.ts
var _ref, _ref2;
let X509Api = class X509Api$1 {
	constructor(agentContext, config) {
		this.agentContext = agentContext;
		this.config = config;
	}
	/**
	* Creates a X.509 certificate.
	*
	* @param options X509CreateCertificateOptions
	*/
	async createCertificate(options) {
		return await require_X509Service.X509Service.createCertificate(this.agentContext, options);
	}
	/**
	* Validate a certificate chain.
	*
	* @param options X509ValidateCertificateChainOptions
	*/
	async validateCertificateChain(options) {
		return await require_X509Service.X509Service.validateCertificateChain(this.agentContext, options);
	}
};
X509Api = require_decorate.__decorate([(0, tsyringe.injectable)(), require_decorateMetadata.__decorateMetadata("design:paramtypes", [typeof (_ref = typeof require_AgentContext.AgentContext !== "undefined" && require_AgentContext.AgentContext) === "function" ? _ref : Object, typeof (_ref2 = typeof require_X509ModuleConfig.X509ModuleConfig !== "undefined" && require_X509ModuleConfig.X509ModuleConfig) === "function" ? _ref2 : Object])], X509Api);

//#endregion
Object.defineProperty(exports, 'X509Api', {
  enumerable: true,
  get: function () {
    return X509Api;
  }
});